Index: i18n/ru.ts
===================================================================
--- i18n/ru.ts	(revision 430bd7f7e921daaebe01fd919c3125800872eceb)
+++ i18n/ru.ts	(revision b424a7e32055f9e8d17f22f6ec14f431cc0fca4b)
@@ -34,9 +34,9 @@
         <location filename="../src/tspmodel.cpp" line="152"/>
         <location filename="../src/tspmodel.cpp" line="160"/>
-        <location filename="../src/tspmodel.cpp" line="175"/>
-        <location filename="../src/tspmodel.cpp" line="191"/>
-        <location filename="../src/tspmodel.cpp" line="204"/>
-        <location filename="../src/tspmodel.cpp" line="234"/>
-        <location filename="../src/tspmodel.cpp" line="243"/>
+        <location filename="../src/tspmodel.cpp" line="181"/>
+        <location filename="../src/tspmodel.cpp" line="201"/>
+        <location filename="../src/tspmodel.cpp" line="214"/>
+        <location filename="../src/tspmodel.cpp" line="245"/>
+        <location filename="../src/tspmodel.cpp" line="254"/>
         <source>Task Load</source>
         <translation>Загрузка условия</translation>
@@ -44,9 +44,9 @@
     <message>
         <location filename="../src/tspmodel.cpp" line="152"/>
-        <location filename="../src/tspmodel.cpp" line="175"/>
-        <location filename="../src/tspmodel.cpp" line="191"/>
-        <location filename="../src/tspmodel.cpp" line="204"/>
-        <location filename="../src/tspmodel.cpp" line="234"/>
-        <location filename="../src/tspmodel.cpp" line="243"/>
+        <location filename="../src/tspmodel.cpp" line="181"/>
+        <location filename="../src/tspmodel.cpp" line="201"/>
+        <location filename="../src/tspmodel.cpp" line="214"/>
+        <location filename="../src/tspmodel.cpp" line="245"/>
+        <location filename="../src/tspmodel.cpp" line="254"/>
         <source>Unable to load task:</source>
         <translation>Невозможно загрузить условие:</translation>
@@ -60,11 +60,11 @@
     </message>
     <message>
-        <location filename="../src/tspmodel.cpp" line="175"/>
+        <location filename="../src/tspmodel.cpp" line="181"/>
         <source>Unknown file format or file is corrupted.</source>
         <translation>Неизвестный формат файла или файл поврежден.</translation>
     </message>
     <message>
-        <location filename="../src/tspmodel.cpp" line="191"/>
-        <location filename="../src/tspmodel.cpp" line="234"/>
+        <location filename="../src/tspmodel.cpp" line="201"/>
+        <location filename="../src/tspmodel.cpp" line="245"/>
         <source>File version is newer than application supports.
 Please, try to update application.</source>
@@ -73,6 +73,6 @@
     </message>
     <message>
-        <location filename="../src/tspmodel.cpp" line="204"/>
-        <location filename="../src/tspmodel.cpp" line="243"/>
+        <location filename="../src/tspmodel.cpp" line="214"/>
+        <location filename="../src/tspmodel.cpp" line="254"/>
         <source>Unexpected data read.
 File is possibly corrupted.</source>
@@ -81,17 +81,17 @@
     </message>
     <message>
-        <location filename="../src/tspmodel.cpp" line="273"/>
-        <location filename="../src/tspmodel.cpp" line="279"/>
-        <location filename="../src/tspmodel.cpp" line="286"/>
-        <location filename="../src/tspmodel.cpp" line="293"/>
-        <location filename="../src/tspmodel.cpp" line="300"/>
-        <location filename="../src/tspmodel.cpp" line="307"/>
-        <location filename="../src/tspmodel.cpp" line="314"/>
-        <location filename="../src/tspmodel.cpp" line="324"/>
+        <location filename="../src/tspmodel.cpp" line="285"/>
+        <location filename="../src/tspmodel.cpp" line="291"/>
+        <location filename="../src/tspmodel.cpp" line="298"/>
+        <location filename="../src/tspmodel.cpp" line="305"/>
+        <location filename="../src/tspmodel.cpp" line="312"/>
+        <location filename="../src/tspmodel.cpp" line="319"/>
+        <location filename="../src/tspmodel.cpp" line="326"/>
+        <location filename="../src/tspmodel.cpp" line="336"/>
         <source>Task Save</source>
         <translation>Сохранение условия</translation>
     </message>
     <message>
-        <location filename="../src/tspmodel.cpp" line="273"/>
+        <location filename="../src/tspmodel.cpp" line="285"/>
         <source>Unable to create task file.
 Error: %1
@@ -102,11 +102,11 @@
     </message>
     <message>
-        <location filename="../src/tspmodel.cpp" line="279"/>
-        <location filename="../src/tspmodel.cpp" line="286"/>
-        <location filename="../src/tspmodel.cpp" line="293"/>
-        <location filename="../src/tspmodel.cpp" line="300"/>
-        <location filename="../src/tspmodel.cpp" line="307"/>
-        <location filename="../src/tspmodel.cpp" line="314"/>
-        <location filename="../src/tspmodel.cpp" line="324"/>
+        <location filename="../src/tspmodel.cpp" line="291"/>
+        <location filename="../src/tspmodel.cpp" line="298"/>
+        <location filename="../src/tspmodel.cpp" line="305"/>
+        <location filename="../src/tspmodel.cpp" line="312"/>
+        <location filename="../src/tspmodel.cpp" line="319"/>
+        <location filename="../src/tspmodel.cpp" line="326"/>
+        <location filename="../src/tspmodel.cpp" line="336"/>
         <source>Unable to save task.
 Error: %1</source>
@@ -146,72 +146,70 @@
     <name>MainWindow</name>
     <message>
-        <location filename="../src/mainwindow.cpp" line="141"/>
-        <location filename="../src/mainwindow.cpp" line="439"/>
-        <location filename="../src/mainwindow.cpp" line="448"/>
+        <location filename="../src/mainwindow.cpp" line="146"/>
+        <location filename="../src/mainwindow.cpp" line="492"/>
+        <location filename="../src/mainwindow.cpp" line="501"/>
         <source>Language change</source>
         <translation>Смена языка</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="141"/>
+        <location filename="../src/mainwindow.cpp" line="146"/>
         <source>Unable to load translation language.</source>
         <translation>Невозможно загрузить перевод.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="202"/>
+        <location filename="../src/mainwindow.cpp" line="170"/>
+        <source>Travelling Salesman Problem</source>
+        <translation>Задача коммивояжера</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="192"/>
+        <source>Unsaved Changes</source>
+        <translation>Несохраненные изменения</translation>
+    </message>
+    <message>
+        <location filename="../src/mainwindow.cpp" line="224"/>
         <source>All Supported Formats</source>
         <translation>Все поддерживаемые форматы</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="205"/>
-        <location filename="../src/mainwindow.cpp" line="232"/>
-        <location filename="../src/mainwindow.cpp" line="251"/>
+        <location filename="../src/mainwindow.cpp" line="227"/>
+        <location filename="../src/mainwindow.cpp" line="267"/>
+        <location filename="../src/mainwindow.cpp" line="296"/>
         <source>All Files</source>
         <translation>Все файлы</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="203"/>
-        <location filename="../src/mainwindow.cpp" line="204"/>
+        <location filename="../src/mainwindow.cpp" line="225"/>
+        <location filename="../src/mainwindow.cpp" line="226"/>
         <source>%1 Task Files</source>
         <translation>Файлы условий %1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="181"/>
-        <source>New Task</source>
-        <translation>Создать задачу</translation>
-    </message>
-    <message>
-        <location filename="../src/mainwindow.cpp" line="181"/>
-        <location filename="../src/mainwindow.cpp" line="195"/>
-        <location filename="../src/mainwindow.cpp" line="462"/>
+        <location filename="../src/mainwindow.cpp" line="192"/>
         <source>Would you like to save changes in current task?</source>
         <translation>Желаете сохранить изменения в текущей задаче?</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="195"/>
-        <source>Task Open</source>
-        <translation>Открытие задания</translation>
-    </message>
-    <message>
-        <location filename="../src/mainwindow.cpp" line="230"/>
+        <location filename="../src/mainwindow.cpp" line="263"/>
         <source>HTML Files</source>
         <translation>Файлы HTML</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="231"/>
+        <location filename="../src/mainwindow.cpp" line="265"/>
         <source>OpenDocument Files</source>
         <translation>Файлы OpenDocument</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="250"/>
+        <location filename="../src/mainwindow.cpp" line="295"/>
         <source>%1 Task File</source>
         <translation>Файл условия %1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="273"/>
+        <location filename="../src/mainwindow.cpp" line="326"/>
         <source>Settings Changed</source>
         <translation>Параметры изменены</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="273"/>
+        <location filename="../src/mainwindow.cpp" line="326"/>
         <source>You have changed color settings.
 Do you wish to apply them to current solution text?</source>
@@ -220,56 +218,56 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="337"/>
+        <location filename="../src/mainwindow.cpp" line="390"/>
         <source>Data error</source>
         <translation>Ошибка в данных</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="337"/>
+        <location filename="../src/mainwindow.cpp" line="390"/>
         <source>Error in cell [Row %1; Column %2]: Invalid data format.</source>
         <translation>Ошибка в ячейке [Строка %1; Колонка %2]: Неверный формат данных.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="350"/>
+        <location filename="../src/mainwindow.cpp" line="403"/>
         <source>Variant #%1</source>
         <translation>Вариант №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="351"/>
+        <location filename="../src/mainwindow.cpp" line="404"/>
         <source>Task:</source>
         <translation>Условие:</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="354"/>
-        <location filename="../src/mainwindow.cpp" line="380"/>
+        <location filename="../src/mainwindow.cpp" line="407"/>
+        <location filename="../src/mainwindow.cpp" line="433"/>
         <source>Solution of Variant #%1 task</source>
         <translation>Решение варианта №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="361"/>
+        <location filename="../src/mainwindow.cpp" line="414"/>
         <source>Step #%1</source>
         <translation>Шаг №%1</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="364"/>
+        <location filename="../src/mainwindow.cpp" line="417"/>
         <source>This step has alternate candidates for branching.</source>
         <translation>У этого шага есть альтернативные кандидаты на ветвление.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="376"/>
+        <location filename="../src/mainwindow.cpp" line="429"/>
         <source>Optimal path:</source>
         <translation>Оптимальный путь:</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="378"/>
+        <location filename="../src/mainwindow.cpp" line="431"/>
         <source>The price is &lt;b&gt;%1&lt;/b&gt; units.</source>
         <translation>Стоимость - &lt;b&gt;%1&lt;/b&gt; единиц.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="439"/>
+        <location filename="../src/mainwindow.cpp" line="492"/>
         <source>Language will be autodetected on next application start.</source>
         <translation>Язык будет автоматически определен при следующем запуске приложения.</translation>
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="448"/>
+        <location filename="../src/mainwindow.cpp" line="501"/>
         <source>You have language autodetection turned on.
 It needs to be off.
@@ -280,7 +278,8 @@
     </message>
     <message>
-        <location filename="../src/mainwindow.cpp" line="462"/>
-        <source>Application Close</source>
-        <translation>Закрытие приложения</translation>
+        <location filename="../src/mainwindow.cpp" line="506"/>
+        <location filename="../src/mainwindow.h" line="76"/>
+        <source>Untitled</source>
+        <translation>Без имени</translation>
     </message>
     <message>
